package com.approximatrix.draco.fit.statistics;

import com.approximatrix.draco.fit.LSFit;

public abstract class ExtendedStatistic {

	private static final String NAME = "Statistic";
	
	protected Number value = null;
	protected LSFit analysis = null;
	
	public ExtendedStatistic() {
		
	}
	
	public ExtendedStatistic(LSFit analysis) {
		this();
		this.analysis = analysis;
	}
	
	public void setAnalysis(LSFit analysis) {
		this.analysis = analysis;
	}
	
	public static String GetName() {
		return NAME;
	}
	
	public abstract String getName();
	
	public abstract Number getValue();
	
	public abstract void compute();
	
}
